# FoundationClasses
TKMath
math

# math_FunctionRoot Class Reference

This class implements the computation of a root of a function of
a single variable which is near an initial guess using a minimization
algorithm.Knowledge of the derivative is required. The
algorithm used is the same as in
.

`#include <math_FunctionRoot.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_FunctionRoot (math_FunctionWithDerivative &F, const Standard_Real Guess, const Standard_Real Tolerance, const Standard_Integer NbIterations=100)
| The Newton-Raphson method is done to find the root of the function F from the initial guess Guess.The tolerance required on the root is given by Tolerance. Iterations are stopped if the expected solution does not stay in the range A..B. The solution is found when abs(Xi - Xi-1) <= Tolerance; The maximum number of iterations allowed is given by NbIterations. .
Standard_EXPORT | math_FunctionRoot (math_FunctionWithDerivative &F, const Standard_Real Guess, const Standard_Real Tolerance, const Standard_Real A, const Standard_Real B, const Standard_Integer NbIterations=100)
| The Newton-Raphson method is done to find the root of the function F from the initial guess Guess. The tolerance required on the root is given by Tolerance. Iterations are stopped if the expected solution does not stay in the range A..B The solution is found when abs(Xi - Xi-1) <= Tolerance; The maximum number of iterations allowed is given by NbIterations. .
Standard_Boolean | IsDone () const
| Returns true if the computations are successful, otherwise returns false. .
Standard_Real | Root () const
| returns the value of the root. Exception NotDone is raised if the root was not found.
Standard_Real | Derivative () const
| returns the value of the derivative at the root. Exception NotDone is raised if the root was not found.
Standard_Real | Value () const
| returns the value of the function at the root. Exception NotDone is raised if the root was not found.
Standard_Integer | NbIterations () const
| returns the number of iterations really done on the computation of the Root. Exception NotDone is raised if the root was not found.
Standard_EXPORT void | Dump (Standard_OStream &o) const
| Prints on the stream o information on the current state of the object. Is used to redefine the operator <<. .

## Private Attributes

Standard_Boolean | Done
Standard_Real | TheRoot
Standard_Real | TheError
Standard_Real | TheDerivative
Standard_Integer | NbIter

## Constructor & Destructor Documentation

Standard_EXPORT math_FunctionRoot::math_FunctionRoot | ( | math_FunctionWithDerivative & | F,
|  | const Standard_Real | Guess,
|  | const Standard_Real | Tolerance,
|  | const Standard_Integer | NbIterations = `100`
| ) |

Standard_EXPORT math_FunctionRoot::math_FunctionRoot | ( | math_FunctionWithDerivative & | F,
|  | const Standard_Real | Guess,
|  | const Standard_Real | Tolerance,
|  | const Standard_Real | A,
|  | const Standard_Real | B,
|  | const Standard_Integer | NbIterations = `100`
| ) |

## Member Function Documentation

Standard_Real math_FunctionRoot::Derivative | ( |  | ) | const`[inline]`

Standard_EXPORT void math_FunctionRoot::Dump | ( | Standard_OStream & | o | ) | const

Standard_Boolean math_FunctionRoot::IsDone | ( |  | ) | const`[inline]`

Standard_Integer math_FunctionRoot::NbIterations | ( |  | ) | const`[inline]`

void math_FunctionRoot::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_FunctionRoot::operator new | ( | size_t | size | ) | `[inline]`

void* math_FunctionRoot::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Real math_FunctionRoot::Root | ( |  | ) | const`[inline]`

Standard_Real math_FunctionRoot::Value | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Boolean math_FunctionRoot::Done `[private]`

Standard_Integer math_FunctionRoot::NbIter `[private]`

Standard_Real math_FunctionRoot::TheDerivative `[private]`

Standard_Real math_FunctionRoot::TheError `[private]`

Standard_Real math_FunctionRoot::TheRoot `[private]`

The documentation for this class was generated from the following files:

- math_FunctionRoot.hxx
- math_FunctionRoot.lxx